#include<bits/stdc++.h>

using namespace std;

long long niz[10000];

int main(){
	long long n,a;
	cin>>n>>a;
	for(int i=0;i<n;i++){
		cin>>niz[i];
	}
	sort(niz,niz+n);
	for(int i=0;i<n;i++){
		cout<<" "<<niz[i];
	}
	int b=lower_bound(niz,niz+n,a);
	cout<<"\n"<<b;
	return 0;
}

/*10 12
2 3 5 6 9 11 12 15 14 20*/